Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- Function
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.Editor
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.explorers.explorer-table.FileExplorer
- orion.explorers.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.textview.ActionDescription
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationType
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FindIterator
- orion.textview.FindOptions
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.util
- orion.widgets.OpenResourceDialog
- orion.widgets.Section
- orion.widgets.SiteEditor
- orion.xhr
- orion.xhr.Result
- String

# Class orion.textview.ProjectionTextModel

The `ProjectionTextModel` represents a projection of its base text model. Projection ranges can be added to the projection text model to hide and/or insert ranges to the base text model.

The contents of the projection text model is modified when changes occur in the base model, projection model or by calls to #addProjection and #removeProjection.

See:
orion.textview.TextView
orion.textview.TextModel orion.textview.TextView#setModel

Defined in: </shared/eclipse/e4/orion/I201210191304/plugins/org.eclipse.orion.client.editor/web/orion/textview/projectionTextModel.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.textview.ProjectionTextModel(baseModel) Constructs a new `ProjectionTextModel` based on the specified `TextModel`.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addEventListener(type, listener, useCapture) Adds an event listener to this event target.
| addProjection(projection) Adds a projection range to the model.
| dispatchEvent(evt) Dispatches the given event to the listeners added to this event target.
| getBaseModel() Gets the base text model.
| getCharCount()
| getLine(lineIndex, includeDelimiter)
| getLineAtOffset(offset)
| getLineCount()
| getLineDelimiter()
| getLineEnd(lineIndex, includeDelimiter)
| getLineStart(lineIndex)
| getProjections() Returns all projection ranges of this model.
| getText(start, end)
| mapOffset(offset, baseOffset) Maps offsets between the projection model and its base model.
| onChanged(modelChangedEvent)
| onChanging(modelChangingEvent)
| removeEventListener(type, listener, useCapture) Removes an event listener from the event target.
| removeProjection(projection) Removes a projection range from the model.
| setLineDelimiter(lineDelimiter)
| setText(text, start, end)

Class Detail
orion.textview.ProjectionTextModel(baseModel)
Constructs a new `ProjectionTextModel` based on the specified `TextModel`.

Parameters:
{orion.textview.TextModel} baseModel
  The base text model.

Method Detail
addEventListener(type, listener, useCapture)
Adds an event listener to this event target.
Defined in: </shared/eclipse/e4/orion/I201210191304/plugins/org.eclipse.orion.client.editor/web/orion/textview/eventTarget.js>.

Parameters:
{String} type
  The event type.
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #removeEventListener

addProjection(projection)
Adds a projection range to the model.

The model must notify the listeners before and after the the text is changed by calling #onChanging and #onChanged respectively.

Parameters:
{orion.textview.Projection} projection
  The projection range to be added.

See:
  #removeProjection

dispatchEvent(evt)
Dispatches the given event to the listeners added to this event target.
Defined in: </shared/eclipse/e4/orion/I201210191304/plugins/org.eclipse.orion.client.editor/web/orion/textview/eventTarget.js>.

Parameters:
{Event} evt
  The event to dispatch.

{orion.textview.TextModel} getBaseModel()
Gets the base text model.

Returns:
  {orion.textview.TextModel} The base text model.

getCharCount()

See:
  orion.textview.TextModel#getCharCount

getLine(lineIndex, includeDelimiter)

Parameters:
lineIndex
includeDelimiter

See:
  orion.textview.TextModel#getLine

getLineAtOffset(offset)

Parameters:
offset

See:
  orion.textview.TextModel#getLineAtOffset

getLineCount()

See:
  orion.textview.TextModel#getLineCount

getLineDelimiter()

See:
  orion.textview.TextModel#getLineDelimiter

getLineEnd(lineIndex, includeDelimiter)

Parameters:
lineIndex
includeDelimiter

See:
  orion.textview.TextModel#getLineEnd

getLineStart(lineIndex)

Parameters:
lineIndex

See:
  orion.textview.TextModel#getLineStart

{orion.textview.Projection[]} getProjections()
Returns all projection ranges of this model.

Returns:
  {orion.textview.Projection[]} The projection ranges.

See:
  #addProjection

getText(start, end)

Parameters:
start
end

See:
  orion.textview.TextModel#getText

{Number} mapOffset(offset, baseOffset)
Maps offsets between the projection model and its base model.

Parameters:
{Number} offset
  The offset to be mapped.
{Boolean} baseOffset Optional, Default: false
  `true` if `offset` is in base model and should be mapped to the projection model.

Returns:
  {Number} The mapped offset

onChanged(modelChangedEvent)

Parameters:
modelChangedEvent

See:
  orion.textview.TextModel#onChanged

onChanging(modelChangingEvent)

Parameters:
modelChangingEvent

See:
  orion.textview.TextModel#onChanging

removeEventListener(type, listener, useCapture)
Removes an event listener from the event target.

All the parameters must be the same ones used to add the listener.

Defined in: </shared/eclipse/e4/orion/I201210191304/plugins/org.eclipse.orion.client.editor/web/orion/textview/eventTarget.js>.

Parameters:
{String} type
  The event type
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #addEventListener

removeProjection(projection)
Removes a projection range from the model.

The model must notify the listeners before and after the the text is changed by calling #onChanging and #onChanged respectively.

Parameters:
{orion.textview.Projection} projection
  The projection range to be removed.

See:
  #addProjection

setLineDelimiter(lineDelimiter)

Parameters:
lineDelimiter

See:
  orion.textview.TextModel#setLineDelimiter

setText(text, start, end)

Parameters:
text
start
end

See:
  orion.textview.TextModel#setText

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Oct 19 2012 13:08:15 GMT-0400 (EDT)